import { useReducer } from "react"

type State = {
    tabs: 0 | 1,//男生女生选项
    compAc: number,//当前选中的组件,切换tabs请0
    manList: any[]//男生配置
    womanList: any[]//女生配置
}
type Action = {
    params?: any,
    type: "setAll",
}
export function reducer(state: State, action: Action) {
    let { type, params } = action
    switch (type) {
        case 'setAll':
            return { ...state, ...params }
        default:
            return state;
    }
}
export default (): { state: State, dispatch: React.Dispatch<Action> } => {
    const [state, dispatch] = useReducer(reducer, {
        tabs: 0,
        compAc: 0,
        manList: [],
        womanList: []
    })
    return {
        state,
        dispatch
    }
}