import { useDrop } from "ahooks";
import { Col, Row, Space } from "antd";
import React, { useState, useImperativeHandle, forwardRef, useRef } from "react";
import styles from './index.less'
import Banners from "../components/banners";
import { useModel } from "@umijs/max";

// 使用 forwardRef 以支持传递 ref
const DragItem = () => {
    const { state, dispatch } = useModel("appPageConifg")
    const [isHovering, setIsHovering] = useState(false);
    const dropRef = useRef(null);
    useDrop(dropRef, {
        onDom: (content: string, e) => {
            console.log(`custom: ${content} dropped`);
        },
        onDragOver: (e) => {
            // console.log("拖拽中",e)
        },
        onDragEnter: () => setIsHovering(true),
        onDragLeave: () => setIsHovering(false),
    });
    console.log("state",state)
    return <div ref={dropRef}>
        <div className={styles.comp}>
            <Banners data={[]} />
        </div>
    </div>
};
// 定义组件的 Props 类型
interface Props {
}
const Content = forwardRef((props: Props, ref) => {
    const { state, dispatch } = useModel("appPageConifg")
    // 使用 useImperativeHandle 暴露方法给父组件
    useImperativeHandle(ref, () => ({
    }));
    return <div className={styles.phone}>
        <div className={styles.content} >
            {/* 头部男女tabs */}
            <Space className={styles.tabs} size={[20, 20]}>
                {
                    ["男生", "女生"].map((s, i) => {
                        return <strong
                            key={i}
                            className={`${styles.tabs_text} ${state?.tabs === i ? styles.tabs_ac : ""}`}
                            onClick={() => {
                                dispatch({ type: "setAll", params: { tabs: i, compAc: 0 } })
                            }}
                        >
                            {s}
                        </strong>
                    })
                }

            </Space>
            {/* 内容 */}
            <DragItem  />
        </div>
    </div>
})
export default Content;